[apport] package update-manager-core failed to install/upgrade:

Bug #315663 reported by Bill Ross on 2009-01-09
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
ircd-hybrid (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: update-manager

Was updating from Feisty Fawn to Gutsy Gibbon per

  https://answers.launchpad.net/ubuntu/+question/56805

and got this error. As noted there, the popup said:

---
Could not install 'update-manager-core'

The upgrade will continue but the 'update-manager-core' package may be in a not working state. Please consider submitting a bugreport about it.

subprocess post-installation script returned error exit status 1
---

1) Release is 7.04 Feisty Fawn.

2) $ apt-cache policy update-manager-core
update-manager-core:
  Installed: 1:0.81.3
  Candidate: 1:0.81.3
  Version table:
 *** 1:0.81.3 0
        500 http://us.archive.ubuntu.com gutsy-updates/main Packages
        100 /var/lib/dpkg/status

3) I expected the upgrade to go smoothly :-)

4) The upgrade seems to have failed.

ProblemType: Package
Date: Fri Jan 9 15:01:06 2009
ErrorMessage:
 ErrorMessage: subprocess post-installation script returned error exit status 1
Package: update-manager-core
SourcePackage: update-manager

Michele Mangili (mangilimic) wrote :

Thank you for taking the time to report this bug and helping to make Ubuntu better. Could you please add the log files from '/var/log/dist-upgrade/' to this bug report as separate attachments? Thanks in advance.

Changed in update-manager:
status: New → Incomplete
Bill Ross (ross-cgl) wrote :
Bill Ross (ross-cgl) wrote :
Bill Ross (ross-cgl) wrote :
Bill Ross (ross-cgl) wrote :
Bill Ross (ross-cgl) wrote :
Michele Mangili (mangilimic) wrote :

I can only see the following error:

Errors were encountered while processing:
 ircd-hybrid
ERROR:root:SystemError from cache.commit(): E:Sub-process /usr/bin/dpkg returned an error code (1)
update-manager: Fatal IO error 9 (Bad file descriptor) on X server :0.0.
ERROR:root:SystemError from cache.commit(): installArchives() failed
lace
Setting up ircd-hybrid (1:7.2.2.dfsg.2-3) ...
Starting Hybrid 7 IRC Server: ircd-hybridinvoke-rc.d: initscript ircd-hybrid, action "start" failed.
dpkg: error processing ircd-hybrid (--configure):
 subprocess post-installation script returned error exit status 1

Anyway I'm going to mark your report as confirmed and waiting for someone more experienced than me to handle your issue! Thanks

Changed in update-manager:
status: Incomplete → Confirmed
Jean-Baptiste Lallement (jibel) wrote :

Not an update-manager issue, affecting to ircd-hybrid.

affects: update-manager (Ubuntu) → ircd-hybrid (Ubuntu)
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers